const actions = {
    notify({ commit }, payload ){
            openerp.web.notification.do_warn("Atention", payload)
    },
    initPayment({ commit , dispatch}, payload){

        commit('setPaymentsInstance', payload)

        let promises =[
            dispatch('fetchPartners'),
            dispatch('fetchPaymentsJournal'),
            dispatch('fetchPaymentsCompany')
        ]

        Promise.all(promises).then(() => {
            console.log('loaded')
        }).catch(error => {
            console.log(error)
        })
    },
    completePayment({ dispatch, getters, state}) {
        let newObjet = []

        return new Promise((resolve, reject) => {
            let AccountVoucher = new openerp.web.Model('account.voucher')

            AccountVoucher.call('create_from_payments',[
                {
                    reference : getters.selectedInvoices.number,
                    journal_id : getters.selectedPaymentsJournals.id,
                    company : getters.paymentsCompany.id,
                    amount : getters.paymentAmount <= getters.total ? getters.paymentAmount : getters.total,
                    partner_id : getters.selectedPartner.id,
                    invoice: getters.selectedInvoices.id,
                    line_cr_ids : getters.addMove.map(item => {
                        return  item.id
                    })
                }
            ],{
                context: new openerp.web.CompoundContext()
            }).then(response => {

                window.location.reload()

                resolve(response)
            }).fail(error => {
                console.log(error)
                reject(error)
            })
        })

        console.log(newObjet);
    },
    printPayments({ getters, dispatch },payload) {
        // let self = getters.getPaymentsInstance
    }
}

export default actions
